Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80615 - unable to add startup program in preferences
Summary: unable to add startup program in preferences
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: desktop-file-utils
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-12-28 20:06 UTC by Elton Woo
Modified: 2008-05-01 15:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-03 23:43:31 UTC


Attachments (Terms of Use)

Description Elton Woo 2002-12-28 20:06:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
start-here:///Preferences/Extras --> Sessions/Startup Programs. 
Selecting "add" and dialog window just hangs. no further dialog comes up
for entering the desired program information. 

I'm fored to kill the "Sessions" dialog  via the System Monitor.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Go to Start Here and navigate to Extras / Sessions
2. Select Startup Programs
3. Click on "Add"
    

Actual Results:  Dialog box hangs, with no further (expected) dialog appearing.
Dialog box does NOT close via mouse click on top left (X) window
frame.

Expected Results:  additional dialog window should appear whereby user may input
program
name and parameters (if any).

Additional info:

Comment 1 Chris Ford 2003-01-03 20:08:08 UTC
I just gave it a try and it put the "Add startup Program" window behind
the sessions window and it would not come in front of it.  Move the
sessions window and I'll bet you find it.  I was also able to add a
program to startup.

Comment 2 Havoc Pennington 2003-01-03 20:34:42 UTC
Oh yeah, if it's just that it's already filed on gnome.org. The app doesn't 
set the WM_TRANSIENT_FOR hint so the modal dialog gets buried.

Comment 3 Elton Woo 2003-01-03 23:43:31 UTC
OH, wait a moment.... by *shifting* the "Sessions" window a bit, I get
to actually _see_ the input dialog.... <*sheesh*!!>...

OK. I'll go and define 80615 as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.